
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0


#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536
#define WeaponSlotHandGun	2   // HandGun
#define WeaponSlotHandGunItem	32 // HandGun magazines


class CfgPatches
{
	class ELVCTI44Units
	{
		units[]={"ELVCTI44ResOfficer","ELVCTI44ResSoldier","ELVCTI44ResSoldierLaw","ELVCTI44ResSoldierAT","ELVCTI44ResSoldierMG","ELVCTI44ResMedic","ELVCTI44ResSniper","ELVCTI44ResCrew",
		          "ELVCTI44BlitzAmmo", "ELVCTI44BlitzRepair", "ELVCTI44GMCAmmo", "ELVCTI44GMCRepair", "ELVCTI44BlitzRefuel", "ELVCTI44GMCRefuel",
				  "ELVCTI44WillyAmb","ELVCTI44KubAmb","ELVCTI44WillySal","ELVCTI44KubSal",
				  "ELVCTI44MHQAllies","ELVCTI44MHQBritAllies","ELVCTI44MHQAxis",
				  "ELVCTI44Sherm","ELVCTI44Pz4","ELVCTI44Stug","ELVCTI44Pz5","ELVCTI44Persh",
				  "ELVCTI44MinerWest","ELVCTI44PzsWest","ELVCTI44SaboteurWest","ELVCTI44DriverWest","ELVCTI44PilotWest",
				  "ELVCTI44Fjaeger","ELVCTI44MinerWH","ELVCTI44StgwWH","ELVCTI44DriverWH","ELVCTI44PilotWH",
				  "ELVCTI44Flak","ELVCTI44Mortar","ELVCTI44AAGun",
				  "ELVCTI44AlliedAmmoBox","ELVCTI44AlliedAmmoBoxHeavy","ELVCTI44AxisAmmoBox","ELVCTI44AxisAmmoBoxHeavy","ELVCTI44AlliedAmmoBox2","ELVCTI44AxisAmmoBox2","ELVCTI44AlliedWeaponsCrate","ELVCTI44AlliedHeavyWeaponsCrate","ELVCTI4482_ABMEDIC",
				  "ELVCTI44AxisWeaponsCrate","ELVCTI44AxisHeavyWeaponsCrate","ELVCTI44AlliedEquipmentCrate","ELVCTI44AxisEquipmentCrate", "ELVCTI44ABNC01","ELVCTI44ABPCMD","ELVCTI44SQDLDR1","ELVCTI44PLT_CMD","ELVCTI44inv_willysmb","ELVCTI44inv_willysmbmg","ELVCTI44i44_gmc","ELVCTI44m3","ELVCTI44Stm_M4A3","ELVCTI44Stm_M4A3_2","ELVCTI44ECA_Crom","ELVCTI44ACHPershing","ELVCTI44ECA_CHURCHILLMKVIII","ELVCTI44kub1","ELVCTI44hano","ELVCTI44blitz","ELVCTI44GST_PZ","ELVCTI44stmSdKfz171","ELVCTI44JAGDTIGER","ELVCTI44I44_Tiger111","ELVCTI44ktigertank","ELVCTI44Pzkpfw38T","ELVCTI44PzIII","ELVCTI44MTYC47"
//,"ELVCTI44inv_willysmb","ELVCTI44inv_willysmbmg","ELVCTI44i44_gmc","ELVCTI44m3"				  
		};
		requiredVersion=1.85;
	};
};

class CfgAmmo
{
	class Default {};
	class BulletSingle : Default {};
	class ExplosiveBullet: BulletSingle {};
	class Bullet4x20:ExplosiveBullet {};
	class Bullet7_6: BulletSingle{};
	class ACH50Cal: Bullet7_6 {};
	class shell: Default{};
	class 75mmShell1: Shell{};
	class Heat: Shell{};
    class Shell73: Shell{}; 
	class Heat73: Heat{}; 
	class Heat105: Heat73{};
	class ACHHeat90: Shell73{};
	class M2MortarAmmo: Shell73 {};
	
	class Grenade: Default{};
     	class Piat_a : Grenade {};
	
	
	class ELVCTI44PeH: ACHHeat90
    {
		hit=125;
		indirectHit=110;
		indirectHitRange=15;
	};
	
	class ELVCTI44P4Shell:75mmShell1
    {
		hit=110;indirectHit=70;
		cost=300;
	};
	
	class ELVCTI44FlakAmmo: Bullet4x20
    {
		hit=55.000000;indirectHit=17.000000;indirectHitRange=5;
		simulation="shotBullet";
		minRange=20;minRangeProbab=0.95;
		midRange=500;midRangeProbab=0.99;
		maxRange=2500;maxRangeProbab=0.05;
	};
	
	class ELVCTI44MortarAmmo:M2MortarAmmo
	{
		hit=35;
		indirectHit=25;
		indirectHitRange=10;
		visibleFire=5; 
		audibleFire=5;
		visibleFireTime=2;
	}
	class ELVCTI44Piat_a :Piat_a {
		//irLock=1 //no lock on soldier
		cost=5000; //match AT4
	};
	class ELVCTI44Piat_b :Piat_a {
		hit=150;
		indirectHit=75;
	};
};


class CfgWeapons
{
	class Default	{};
	class MGun: Default {};
	class MachineGun7_6: MGun {};
	class MachineGun30: MachineGun7_6 {};
	class Cannon25HE: MachineGun30 {};
	class ACH50CAL: MachineGun7_6 {};
	class KWK75: Default {};
	class GAV75: Default {};
	class ACH105mmGun: Default {};
	class ACH105mmHeat: ACH105mmGun {};
	class GrenadeLauncher: Default {};
	class Mortar: GrenadeLauncher {};
	class M2Mortar:Mortar{};
	class Piat {};
	
	class PiatMag: GrenadeLauncher {};
		
	class Riffle: MGun {};
	class Piatbase: Riffle {};
		
	class ELVCTI44105mmGun:ACH105mmGun
	{
		magazines[]={"ACH105mmShell","ELVCTI44105mmHeat"};
		reloadTime=12;
	}
	
	class ELVCTI44105mmHeat: ACH105mmHeat
	{
		ammo="ELVCTI44PeH";
	};
	
	class ELVCTI44P4Gun:KWK75
	{
		
		magazines[]={"ELVCTI44P4Gun2"};
		reloadTime=14;
	};
	
	class ELVCTI44P4Gun2:ELVCTI44P4Gun
	{
		ammo="ELVCTI44P4Shell";
		count=40;
		displayName="75mm";
		displayNameMagazine="75mm Shell";
		shortNameMagazine="75mm";
		sound[]={\GST_PZ\Gun.wav,db20,1};
		irLock=true;
		airLock=false;
		laserLock=false;
	};
	
		
	class ELVCTI44P5AA:ACH50CAL
	{
		displayName="AA MG";
		displayNameMagazine="AA MG";
		shortNameMagazine="AA MG";
	};
	
	class ELVCTI44FlakGun: Cannon25HE
	{
		autofire = true;
		ammo="ELVCTI44FlakAmmo";
		displayName="88mm Shells";
		displayNameMagazine="88mm Shells";
		shortNameMagazine="88mm";
		count=500;
		initSpeed=1000;
		reloadTime=0.60000;
		magazineReloadTime=6;
		dispersion=0.001;
		reloadSound[]={"Weapons\missload",0.000316,1};
		sound[]={"\88\88.wav",10.000000,1};
		soundContinuous=0;
		airlock=1;
		aiRateOfFire=0.001; // delay between shots at given distance
		aiRateOfFireDistance=1800; // at shorter distance delay goes lineary to zero
	};
	
	class ELVCTI44MortarGun:M2Mortar
	{
	    	
		displayName="60mm Mortar";
		displayNameMagazine="60mm Grenade";
		scopeWeapon=0;
		scopeMagazine=2;
		magazines[]={"ELVCTI44MortarShell"};
		reloadTime=2;
		ffCount=1;
		irLock=true;
		airLock=false;
		laserLock=false;
	};
	
	class ELVCTI44MortarShell:ELVCTI44MortarGun
	{
	ammo="ELVCTI44MortarAmmo";
		count=30;
		autoReload=1;
		magazineReloadTime=2.0;
		displayName="60mm Mortar Grenade";
		displayNameMagazine="60mm Mortar Grenade";
		shortNameMagazine="60mm";
		irLock=true;
		airLock=false;
		laserLock=false;
	}
	class ELVCTI44GAV75:GAV75
	{
		reloadTime=11;
	};
	class ELVCTI44PiatMag :PiatMag {
		ammo="ELVCTI44Piat_a";
		uiPicture = isat;
		displayName="Piat Mag (AT)";
	
	};
	class ELVCTI44Piat_bMag :PiatMag {
		ammo="ELVCTI44Piat_b";
		displayName="Piat Mag (AP)";
	
	
	};

	class ELVCTI44Piatbase: Piatbase {
		ammo="ELVCTI44Piat_a";
		magazines[]={"ELVCTI44PiatMag"};
		
	};
	class ELVCTI44Piatbase_b: Piatbase {
		ammo="ELVCTI44Piat_b";
		magazines[]={"ELVCTI44Piat_bMag"};
		
	};
	class ELVCTI44Piat:Piat
		{
		displayName="Piat (AT)";
		muzzles[]={"ELVCTI44PiatMuzzle"};
		class ELVCTI44PiatMuzzle: ELVCTI44Piatbase
			{
			magazines[]={"ELVCTI44PiatMag"};

			};
		};
	class ELVCTI44Piat_b:Piat
		{
		displayName="Piat (AP)";
		muzzles[]={"ELVCTI44Piat_bMuzzle"};
		class ELVCTI44Piat_bMuzzle: ELVCTI44Piatbase_b
			{
			magazines[]={"ELVCTI44Piat_bMag"};

			};
		};
};

class CfgVehicles {
	class All {};
	class AllVehicles: All {};
	class Land: AllVehicles {};	
	class Man: Land {};
	class Soldier:Man{};
	class SoldierGB:Soldier{};
	class SoldierWB:Soldier{};
	class SoldierEB: Soldier {};
	class OfficerG:SoldierGB{};
	class SoldierGG:SoldierGB{};
	class SoldierGMedic:SoldierGB{};
	class Inv_Allied_Soldier: SoldierWB{};
	class Inv_German_Soldier: SoldierEB{};
	class SoldierWSniper:SoldierWB{};
	class SoldierESniper: SoldierEB {};
	class Inv_Allied_Sniper: SoldierWSniper {};
	class Inv_German_Sniper: SoldierESniper {};
	class Inv_Fall_Soldier: SoldierEB{};
	class 82_ABBLAUNCHER:Inv_Allied_Soldier {};
	class 82_ABRIFLEMAN8:Inv_Allied_Soldier {};
	class 82_ABRIFLEMAN2:Inv_Allied_Soldier {};
	class 82_ABRIFLEMAN1:Inv_Allied_Soldier {};
	class 82_ABRIFLEMAN3:Inv_Allied_SOldier {};
	class 82_ABNCO1:Inv_Allied_Soldier {};
	class 82_ABPCMD:Inv_Allied_Soldier {};
	class 82_ABMEDIC:Inv_Allied_Soldier {};
	class 82_ABMGUN:Inv_Allied_Soldier {};
	class 82_ABGRENADIER1:Inv_Allied_Soldier {};
	class 82_ABBAR:Inv_Allied_Soldier{};
	class 82_ABSNIPER: Inv_Allied_Sniper {};
	class 82_ABRADIO:Inv_Allied_Soldier {};
	
	class WH_Schutze1: Inv_German_Soldier {};
	class WH_ATSchutze7: Inv_German_Soldier {};
	class WH_Panzerschreck1: Inv_German_Soldier {};
	class WH_LMGunner: Inv_German_Soldier {};
	class WH_SchutzeG1: Inv_German_Soldier {};
	class Wehrmacht_Sniper: Inv_German_Sniper  {};
	class WH_Medic: Inv_German_Soldier {};
	
	class WH_Eng2: Inv_German_Soldier {};
	
	class fall_S4:Inv_Fall_Soldier {};
	class WH_ASQDLDR2: Inv_German_Soldier {};
	class WH_SQDLDR1: Inv_German_Soldier {};
	class WH_PLT_CMD: Inv_German_Soldier {};
	
	class pzwh_3: Inv_German_Soldier {};
	class pzwh_2: Inv_German_Soldier {};
	class britinf : soldierWB {};
	class britinflen4	: britinf {};
	class SoldierWMG:SoldierWB{};
	class britinfBren : SoldierWMG {} ;
	class britinflen4_4 : britinflen4 {};
	class SoldierWMedic:SoldierWB{};
	class britinfmedic : soldierwmedic {};
	class brittk1 : britinf {};
	class brittk2 : britinf {};

	class LandVehicle:Land{};
	class Truck:LandVehicle{};
	class Ural:Truck{};
	class UralReammo:Ural{};
	class UralRepair:Ural{};
	class UralRefuel:Ural{};
	class Car:LandVehicle{};
	class UAZG:Car{};
	class Jeep: Car {};
	class kub1: Car {};
	class kub4: kub1 {};
	class Kub2: kub1 { };
	class ECA_Dmk : jeep {};

//	class BMWr75: Car {} ;
	class inv_willysmb: car {};
	class inv_willysmbmg: Car {};
	class I44_GMC: Ural {}
	class SGUAZG:UAZG{};
	class hano:jeep{};
	class M3: Jeep {};
	class blitz: Jeep {};
	class Tank: LandVehicle {};
	class GAV_Sherm: Tank {};
	class GST_PZ: Tank {};
	class LAW_Stug: Tank {};
	class T72 : Tank {};
	class StmSdKfz171: T72 {};
	class M60: Tank {};
	class ACHPershing: M60 {};
	class StM_M4A3: Tank {} ;
	class StM_M4A3_2: StM_M4A3 { };
	class ECA_Crom: Tank {} ;
	class ECA_CHURCHILLMKVIII: Tank {};
	class T80 : Tank {};
     	class JAGDTIGER: T80 { };
	class I44_Tiger111: Tank { };
	class ktigertank: T80 { };
	class Pzkpfw38T: T80 {} ;
	class PzIII: T80 {};
	
	class APC: Tank {};
	class M113: APC {};
	class Vulcan: M113{};
	class 88: Vulcan {};
    	class M2StaticMG: M113 {};
	class I44M2StaticMG: M2StaticMG {};
	class M2Mortar: I44M2StaticMG {};
	class Static: All {};
	class Building: Static {};
   	class Strategic : Building {};
	class ReammoBox : Strategic {};
	class Inv_Ammo1 : ReammoBox	{};
	class Inv_Ammo2 : ReammoBox	{};

	class Air: AllVehicles {};
	class Plane: Air {};
	class MTYC47: Plane {};
	class A10:Plane {};
	class ju52 :A10 {};

	
	
    //statics	
	class ELVCTI44Flak : 88
	{
		vehicleclass="ELVCTI44";
		picture="idelo.paa";
		icon="maptarget.paa";
		displayName="Flak";
		hasCommander=0;
		weapons[]={"ELVCTI44FlakGun"};
		magazines[]={"ELVCTI44FlakGun"};
		
		irScanRange = 50;
		
	}
	
	class ELVCTI44AAGun : ELVCTI44Flak
	{
	    	displayName="88mm AA Gun"
	    	vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	}

    class ELVCTI44Mortar:M2Mortar
	{
        //side=1;
		scope=2;
		vehicleClass="ELVCTI44";
		weapons[]={"ELVCTI44MortarGun"};
		magazines[]={"ELVCTI44MortarShell"};
		
		irScanRange = 50;
		
	};

	
	//Vehicles
	class ELVCTI44ACHPershing: ACHPershing
	{
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
		
	};
	
	class ELVCTI44Pz5: StmSdKfz171
	{
		vehicleclass="ELVCTI44";
		displayName="PzKpfw V Panther";
//		armor=500;
//		weapons[]={"Kwk75Pant","MG34Pant","ELVCTI44P5AA"};
//		magazines[]={"KwkPantH","KwkPantS","MG34Pant","ELVCTI44P5AA"};
//		maxSpeed=38;
//		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
//		threat[]={0.9, 0.8, 0.2};
	};
	
	class ELVCTI44Stug:LAW_Stug
	{
		vehicleclass="ELVCTI44";
		//displayName="Stug III Ausf G";
		//armor=190;
		//type=VArmor;		
		irScanRange = 50;
		
		//threat[] VSoft, VArmor, VAir 
		//threat[]={0.9, 0.8, 0.2};
    	};
	
	class ELVCTI44Sherm:GAV_Sherm
	{
		vehicleclass="ELVCTI44";
		displayName="M4 Sherman";
		armor=180;
		maxSpeed=30;
		weapons[]={ELVCTI44GAV75,GAVMG};
		magazines[]={GAV75_S2,GAVMG};	
        	type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.9, 0.8, 0.2};
	};
	class ELVCTI44ECA_Crom:ECA_Crom{
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	};
	class ELVCTI44StM_M4A3:StM_M4A3 {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	};
	class ELVCTI44StM_M4A3_2:StM_M4A3 {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	};
	class ELVCTI44ECA_CHURCHILLMKVIII: ECA_CHURCHILLMKVIII {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	};
	class ELVCTI44GST_PZ:GST_PZ
	{
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	};
	class ELVCTI44StmSdKfz171: StmSdKfz171 {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	
	};
	class ELVCTI44JAGDTIGER: JAGDTIGER {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	
	
	};
	class ELVCTI44I44_Tiger111: I44_Tiger111 {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	
	};
	class ELVCTI44ktigertank: ktigertank {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	
	
	};
	class ELVCTI44Pzkpfw38T: Pzkpfw38T {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	};
	class ELVCTI44PzIII: PzIII {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	};
	
	class ELVCTI44inv_willysmb : inv_willysmb {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	};
	class ELVCTI44inv_willysmbmg : inv_willysmbmg {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	};
	
	class ELVCTI44I44_GMC: I44_GMC {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	};
	class ELVCTI44M3 : M3 {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	
	};
	class ELVCTI44kub1 : kub1 {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	
	
	};
	class ELVCTI44hano : hano {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	
	};
	class ELVCTI44blitz : blitz {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	
	
	};
	class ELVCTI44kub2 :kub1 {
		vehicleclass="ELVCTI44";
		irScanRange = 50;
		
	};
//	class ELVCTI44BMWr75 :  BMWr75  {
//               vehicleclass = "ELVTCTI44";
//		irScanRange = 50;

//
//	};
	class ELVCTI44ECA_Dmk: ECA_Dmk {
		vehicleclass="ELVCTI44";
		irScanRange = 50;

	};
	class ELVCTI44MHQAllies:m3
	{
		vehicleclass="ELVCTI44";
		displayName="MHQ Allies";
		armor=500;
		type=VArmor;
		irScanRange = 50;
		
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.9, 0.8, 0.2};
		class TransportWeapons
		{
			class MHQAlliedGrease {weapon = "Greasegun";count = 2;};
			class MHQAlliedSpringfield {weapon = "Springfield";count = 2;};
			class MHQAlliedBazooka {weapon = "M9";count = 2;};
		};
		class TransportMagazines
		{
			class MHQAlliedGrenade {magazine = "Handgrenade";count = 12;};
			class MHQAlliedGreaseAmmo {magazine = "GreasegunMag";count = 8;};
			class MHQAlliedSpringfieldAmmo {magazine = "SpringfieldMag";count = 8;};
			class MHQAlliedBazookaAmmo {magazine = "M9Rock";count = 6;};
		};
	};
	class ELVCTI44MHQBritAllies:ELVCTI44MHQAllies
	{
		displayName="MHQ Allies (British)";
		class TransportWeapons
		{
			class MHQAlliedGrease {weapon = "Sten5";count = 2;};
			class MHQAlliedSpringfield {weapon = "Enfieldn4t";count = 2;};
			class MHQAlliedBazooka {weapon = "M9";count = 2;};
		};
		class TransportMagazines
		{
			class MHQAlliedGrenade {magazine = "Handgrenade";count = 12;};
			class MHQAlliedGreaseAmmo {magazine = "StenMag";count = 8;};
			class MHQAlliedSpringfieldAmmo {magazine = "Enfieldn4Mag";count = 8;};
			class MHQAlliedBazookaAmmo {magazine = "M9Rock";count = 6;};
		};
	};
	class ELVCTI44MHQAxis:hano
	{
		vehicleclass="ELVCTI44";
		displayName="MHQ Axis";
		armor=500;
		type=VArmor;
		irScanRange = 50;
		
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.9, 0.8, 0.2};
		class TransportWeapons
		{
			class MHQAxisMP40 {weapon = "MP40";count = 2;};
			class MHQAxisG43 {weapon = "G43ZF4";count = 2;};
			class MHQAxisPanzerfaust60 {weapon = "Panzerfaust60Launcher";count = 2;};
		};
		class TransportMagazines
		{
			class MHQAxisGrenade {magazine = "Handgrenade";count = 12;};
			class MHQAxisMP40Ammo {magazine = "MP40Mag";count = 8;};
			class MHQAxisG43Ammo {magazine = "G43Mag";count = 8;};
			class MHQAxisPanzerfaust60Ammo {magazine = "Panzerfaust60LauncherMag";count = 6;};
		};
	};
	
	class ELVCTI44WillySal:inv_willysmb
	{
		vehicleclass="ELVCTI44";
		displayName="Willys MB Salvager";
		irScanRange = 50;
		
    	};
    	class ELVCTI44MKIISal: ELVCTI44ECA_Dmk {
		displayName="Dmk MKII Salvager";

	};
    class ELVCTI44KubSal:kub4
    {
        vehicleclass="ELVCTI44";
        displayName="Kuebelwagen Sammler";
	irScanRange = 50;
	
    };
	
	
	class ELVCTI44WillyAmb: SGUAZG
	{
		vehicleclass="ELVCTI44";
        	scope=public;
		irScanRange = 50;
		
		crew="ELVCTI4482_ABMEDIC";
		displayName="Willys MB Ambulance";
		soundEngine[]={"\inv_willysmb\willys.wav",0.1,1};
		hiddenSelections[]={"gun"};
		hasDriver=1;
		icon="\inv_willysmb\mbicon";
		picture="\inv_willysmb\ijeep";
		maxSpeed=60;
		nameSound="jeep";
		accuracy=0.80;
		armor=10;
		armorStructural=2;
		cost=1000;
		fuelCapacity=78;
		transportSoldier=4;
		transportAmmo=0;
		weapons[]={sportcarhorn};
		model= \inv_willysmb\inv_willysmb;
		armorWheels=0.50000;
		hasgunner=0;
		turnCoef=1.7500000;
		terrainCoef=0.450000;
		damperSize=0.100000;
		damperForce=20;
		brakeDistance=10.00;
		precision=0.02;
		preferRoads=1;
		wheelCircumference=2.400;
		driverCastShadow = true;
		driverAction=ManActJeepDriver;
		cargoAction[]={"ManActJeepCoDriver"};
		cargoIsCoDriver[]={1,0};
		typicalCargo[]={"SoldierW","SoldierW"};
		animated=1;
		side=TWest;
		class Animations
		{
			class parabrisas
			{
				type="rotation";
				animPeriod=1;
				selection="parabrisas";
				axis="osa_parabrisas";
				angle0=0;
				angle1=-1.800000;
			};
		};
		class UserActions
		{
			class Openfrontglass
			{
				displayName="windshield down";
				position="osa_parabrisas";
				radius=2.500000;
				condition="this animationPhase ""parabrisas"" < 0.5";
				statement="this animate [""parabrisas"", 1]";
			};
			class Closefrontglass
			{
				displayName="windshield up";
				position="osa_parabrisas";
				radius=2.500000;
				condition="this animationPhase ""parabrisas"" >= 0.5";
				statement="this animate [""parabrisas"", 0]";
			};
        	};
	};
	
	class ELVCTI44KubAmb: SGUAZG
	{
		vehicleclass="ELVCTI44";
		scope=public;
		crew="WH_Medic";
		irScanRange = 50;
		
		displayName="Kuebelwagen Ambulance";
		picture=\kub1\ikub1.paa;
		hasDriver=1;
		maxSpeed=80;
		nameSound="car";
		accuracy=0.50;
		armor=40;
		armorWheels=0.12;
		armorGlass=0.150000;
		cost=30000;
		transportSoldier=3;
		armorStructural=6;
		transportAmmo=0;
		model=\kub1\Kub1;
		fuelCapacity=60;
		hasgunner=0;
		turnCoef=2;
		terraincoeff=2;
		transportRepair=0;
		weapons[]={Carhorn};
		damperSize=0.100000;
		damperForce=30;
		precision=10;
		brakeDistance=10;
		steerAheadSimul=0.5;
		steerAheadPlan=0.35;
		predictTurnSimul=1.2;
		predictTurnPlan=1.2;
		sensitivity=0.6;
		wheelCircumference=2.513;
		preferRoads=true;
		CastdriverShadow = true;
		castCargoShadow= true;
		driverAction = ManActJeepDriver;
		cargoAction[] =
		{
			ManActJeepCoDriver,ManActJeepCoDriverBack
		};
		cargoIsCoDriver[] = {true,false};
		typicalCargo[]={Soldier, Soldier, Soldier, Soldier};
		hiddenSelections[]={"pic","ger_cross"};
		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -280;
			min = 0;
			max = 38;
		};
		soundEngine[]={Vehicles\car,db-35,1.6};
		class ViewPilotBase
		{
			initAngleX=5; minAngleX=-30; maxAngleX=+30;
			initAngleY=0; minAngleY=-100; maxAngleY=+100;
			initFov=0.7; minFov=0.42; maxFov=0.85;
		};
		class ViewPilot: ViewPilotBase
		{
			initFov=0.7; minFov=0.4; maxFov=1.0;
			initAngleX=15; minAngleX=-15; maxAngleX=+25;
			initAngleY=0; minAngleY=-180; maxAngleY=+180;
		};
		dammageHalf[]=
		{
			\kub1\Kub1_window_side.paa,\kub1\Kub1_window_sidb.paa,
				\kub1\Kub1_window_s1.paa,\kub1\Kub1_window_s1b.paa,
				\kub1\Kub1_window_fron.paa,\kub1\Kub1_window_frob.paa,
		};
		dammageFull[]=
		{
			\kub1\Kub1_window_side.paa,\kub1\Kub1_window_sidb.paa,
				\kub1\Kub1_window_s1.paa,\kub1\Kub1_window_s1b.paa,
				\kub1\Kub1_window_fron.paa,\kub1\Kub1_window_frob.paa,
		};
		hideWeaponsDriver = true;
		hideWeaponsGunner = true;
		hideWeaponsCommander = true;
		hideWeaponsCargo = true;
		transportMaxMagazines=100;
		transportMaxWeapons=100;
	};
	
	class ELVCTI44GMCRefuel: UralRefuel
	{
        	vehicleclass="ELVCTI44";
		scope=public;
		irScanRange = 50;
		
		crew="82_ABRIFLEMAN1";
		displayName="US GMC Truck Refuel";
		model="\I44_GMC\GMC.p3d";
		nameSound="truck";
		side=TWest;
	};
	
	class ELVCTI44GMCAmmo: UralReammo
	{
		vehicleclass="ELVCTI44";
		scope=public;
		irScanRange = 50;
		
		crew="82_ABRIFLEMAN1";
		displayName="US GMC Truck Ammo";
		model="\I44_GMC\GMC.p3d";
		nameSound="truck";
		side=TWest;
		class TransportWeapons
		{
			class AmmoTruckAlliedGrease {weapon = "Greasegun";count = 2;};
			class AmmoTruckAlliedSpringfield {weapon = "Springfield";count = 2;};
			class AmmoTruckAlliedBazooka {weapon = "M9";count = 2;};
			class AmmoTruckAlliedM1919A4 {
				weapon="M1919A4";
				count=1;
			};
			class AmmoTruckAlliedBAR {
				weapon="BAR";
				count=1;
			};
			class AmmoTruckAlliedPanzerschreckW {
				weapon="ELVCTI44Piat";
				count=2;
			};
			class AmmoTruckAlliedGarand {
				weapon="Garand";
				count=2;
			};
			class AmmoTruckAlliedGarandGrenadeLauncher {
				weapon="GarandGrenadeLauncher";
				count=1;
			};
			
			
			class AmmoTruckAlliedThompson {
				weapon="Thompson";
				count=1;
			};
			class AmmoTruckAlliedM1Carbin {
				weapon="M1_carbine";
				count=2;
			};
			class AmmoTruckAlliedBinocular {
				weapon="Binocular";
				count=10;
			};
			class AmmoTruckAlliedFlare {
				weapon="Flare";
				count=10;
				
			};
			class AmmoTruckAlliedFlareGreen {
				weapon="FlareGreen";
				count=10;
			};
			class AmmoTruckAlliedFlareRed {
				weapon="FlareRed";
				count=10;
			};
			class AmmoTruckAlliedFlareYellow {
				weapon="FlareYellow";
				count=10;
			};
			
		};
		class TransportMagazines
		{
			class AmmoTruckAlliedGrenade {magazine = "Handgrenade";count = 25;};
			class AmmoTruckAlliedGreaseAmmo {magazine = "GreasegunMag";count = 25;};
			class AmmoTruckAlliedSpringfieldAmmo {magazine = "SpringfieldMag";count = 25;};
			class AmmoTruckAlliedBazookaAmmo {magazine = "M9Rock";count = 15;};
			class AmmoTruckAlliedGar
			{
				magazine="GarandMag";
				count=25;
			};
			class AmmoTruckAlliedCar
			{
				magazine="M1_carbineMag";
				count=25;
			};
			
			class AmmoTruckAlliedTom
			{
				magazine="ThompsonMag";
				count=20;
			};
			class AmmoTruckAlliedBAR
			{
				magazine="BARmag";
				count=20;
			};
			class AmmoTruckAlliedM1919A4
			{
				magazine="M1919A4Mag";
				count=10;
			};
			
			
			class AmmoTruckAlliedGarGren
			{
				magazine="GarandGrenadeLauncherMag";
				count=30;
			};
			class AmmoTruckAlliedShreck
			{
				magazine="ELVCTI44PiatMag";
				count=6;
			};
			class AmmoTruckAlliedSatchels
			{
			   magazine="TimeBomb";
			   count=6;
			};
			class AmmoTruckAlliedHawkMines
			{
			magazine="HawkinsMine";
			count=8;
			};
			class  AmmoTruckAlliedMine {
				magazine="Mine";
				count=10;
			};
			class  AmmoTruckAlliedFlare {
				magazine="Flare";
				count=10;
				
			};
			class  AmmoTruckAlliedFlareGreen {
				magazine="FlareGreen";
				count=10;
			};
			class  AmmoTruckAlliedFlareRed {
				magazine="FlareRed";
				count=10;
			};
			class  AmmoTruckAlliedFlareYellow {
				magazine="FlareYellow";
				count=10;
			};
			class AmmoTruckAlliedM1911a1Mag {
				magazine="otwM1911a1Mag";
				count=15;
			};
			
		};
	};
	class ELVCTI44BritGMCAmmo: ELVCTI44GMCAmmo
	{
		crew="britinflen4_2";
		displayName="British GMC Truck Ammo";
		model="\I44_GMC\GMC.p3d";
		nameSound="truck";
		side=TWest;
		class TransportWeapons
		{
			class AmmoTruckAlliedGrease {weapon = "Sten5";count = 2;};
			class AmmoTruckAlliedSpringfield {weapon = "Enfieldn4T";count = 2;};
			class AmmoTruckAlliedBazooka {weapon = "M9";count = 2;};
			class AmmoTruckAlliedM1919A4 {
				weapon="M1919A4";
				count=1;
			};
			class AmmoTruckAlliedBAR {
				weapon="BREN2";
				count=1;
			};
			class AmmoTruckAlliedPanzerschreckW {
				weapon="ELVCTI44Piat";
				count=2;
			};
			class AmmoTruckAlliedGarand {
				weapon="Enfieldn4";
				count=2;
			};
			class AmmoTruckAlliedGarandGrenadeLauncher {
				weapon="ELVCTI44Piat_b";
				count=1;
			};
			
			
			class AmmoTruckAlliedThompson {
				weapon="Sten3";
				count=1;
			};
			class AmmoTruckAlliedM1Carbin {
				weapon="Enfieldn2";
				count=2;
			};
			class AmmoTruckAlliedBinocular {
				weapon="Binocular";
				count=10;
			};
			class AmmoTruckAlliedFlare {
				weapon="Flare";
				count=10;
				
			};
			class AmmoTruckAlliedFlareGreen {
				weapon="FlareGreen";
				count=10;
			};
			class AmmoTruckAlliedFlareRed {
				weapon="FlareRed";
				count=10;
			};
			class AmmoTruckAlliedFlareYellow {
				weapon="FlareYellow";
				count=10;
			};
			
		};
		class TransportMagazines
		{
			class AmmoTruckAlliedGrenade {magazine = "Handgrenade";count = 25;};
			class AmmoTruckAlliedGreaseAmmo {magazine = "StenMag";count = 25;};
			class AmmoTruckAlliedSpringfieldAmmo {magazine = "Enfieldn4Mag";count = 50;};
			class AmmoTruckAlliedBazookaAmmo {magazine = "M9Rock";count = 15;};
			
			
			class AmmoTruckAlliedTom
			{
				magazine="Enfieldn2Mag";
				count=20;
			};
			class AmmoTruckAlliedBAR
			{
				magazine="BREN2mag";
				count=20;
			};
			class AmmoTruckAlliedM1919A4
			{
				magazine="M1919A4Mag";
				count=10;
			};
			
			
			class AmmoTruckAlliedGarGren
			{
				magazine="ELVCTI44Piat_bMag";
				count=15;
			};
			class AmmoTruckAlliedShreck
			{
				magazine="ELVCTI44PiatMag";
				count=6;
			};
			class AmmoTruckAlliedSatchels
			{
			   magazine="TimeBomb";
			   count=6;
			};
			class AmmoTruckAlliedHawkMines
			{
			magazine="RDTNT";
			count=8;
			};
			class  AmmoTruckAlliedMine {
				magazine="Mine";
				count=10;
			};
			class  AmmoTruckAlliedFlare {
				magazine="Flare";
				count=10;
				
			};
			class  AmmoTruckAlliedFlareGreen {
				magazine="FlareGreen";
				count=10;
			};
			class  AmmoTruckAlliedFlareRed {
				magazine="FlareRed";
				count=10;
			};
			class  AmmoTruckAlliedFlareYellow {
				magazine="FlareYellow";
				count=10;
			};
			
			
		};
	};
	class ELVCTI44GMCRepair: UralRepair
	{
		vehicleclass="ELVCTI44";
		scope=public;
		crew="82_ABRIFLEMAN1";
		displayName="US GMC Truck Repair";
		model="\I44_GMC\GMC.p3d";
		nameSound="truck";
		side=TWest;
		irScanRange = 50;
		
	};
	
	class ELVCTI44BlitzAmmo:UralReammo
	{
		vehicleclass="ELVCTI44";
		displayName="Lkw Opel Blitz Ammo";
		irScanRange = 50;
		
		crew = WH_Schutze1;
		model= \blitz\blitz;
		class TransportMagazines
		{
			class _xx_Kar
			{
				magazine="KarMag";
				count=25;
			};
			class _xx_MP40
			{
				magazine="MP40Mag";
				count=25;
			};
			class _xx_MG42
			{
				magazine="Mg42Mag";
				count=10;
			};
			class _xx_FG42
			{
				magazine="Fg42Mag";
				count=25;
			};
			class _xx_G43
			{
				magazine="G43Mag";
				count=25;
			};
			class _xx_MP44
			{
				magazine="Stgw44Mag";
				count=10;
			};
			class _xx_Shreck
			{
				magazine="RPzBGr";
				count=6;
			};
			class _xx_Grenade
			{
				magazine="HandGrenade";
				count=30;
			};
			class _xx_KarGren
			{
				magazine="KarGrenadeLauncherMag";
				count=30;
			};
			class _xx_Satchels
			{
			   magazine="TimeBomb";
			   count=6;
			};
			class _xx_Mines
			{
			magazine="Mine";
			count=8;
			};
			class _xx_Panzerfaust
			{
			magazine="Panzerfaust60LauncherMag";
			count=6;
			};
			class _xx_Mine {
				magazine="Mine";
				count=10;
			};
			class _xx_Flare {
				magazine="Flare";
				count=10;
				
			};
			class _xx_FlareGreen {
				magazine="FlareGreen";
				count=10;
			};
			class _xx_FlareRed {
				magazine="FlareRed";
				count=10;
			};
			class _xx_FlareYellow {
				magazine="FlareYellow";
				count=10;
			};
			class _xx_p38 {
				magazine="WalterMag";
				count=15;
			};
				
		};
		class TransportWeapons
		{
			class _xx_Kar {
				weapon="Kar";
				count=2;
			};
			class _xx_KarGrenadeLauncher {
				weapon="KarGrenadeLauncher";
				count=2;
			};
			class _xx_Fg42 {
				weapon="Fg42";
				count=2;
			};
			class _xx_MP40 {
				weapon="MP40";
				count=2;
			};
			
			class _xx_Stgw44 {
				weapon="Stgw44";
				count=2;
			};
			class _xx_G43zf4 {
				weapon="G43zf4";
				count=2;
			};
			class _xx_MG42 {
				weapon="Mg42";
				count=1;
			};
			class _xx_Panzerfaust60Launcher {
				weapon="Panzerfaust60Launcher";
				count=1;
			};
			class _xx_Panzerschreck {
				weapon="Panzerschreck";
				count=1;
			};
			class _xx_Binocular {
				weapon="Binocular";
				count=10;
			};
			class _xx_Flare {
				weapon="Flare";
				count=10;
				
			};
			class _xx_FlareGreen {
				weapon="FlareGreen";
				count=10;
			};
			class _xx_FlareRed {
				weapon="FlareRed";
				count=10;
			};
			class _xx_FlareYellow {
				weapon="FlareYellow";
				count=10;
			};
			
		};
		
		picture=\blitz\iblitz.paa;
		hiddenSelections[]={"hood2"};
		dammageHalf[]=
		{
			\blitz\blitz_glass1.paa,\blitz\blitz_glass1b.paa,
				\blitz\blitz_glass2.paa,\blitz\blitz_glass2b.paa
		};
		dammageFull[]=
		{
			\blitz\blitz_glass1.paa,\blitz\blitz_glass1c.paa,
				\blitz\blitz_glass2.paa,\blitz\blitz_glass2c.paa
		};
		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -315;
			min = 0;
			max = 22;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = 200;
			min = 0;
			max = 1;
		};	
		armorWheels=0.300000;
		driverAction="ManActTruck5tDriver";
		cargoAction[]={"ManActTruck5tCoDriver","ManActCargo"};
		cargoIsCoDriver[]={1,0};
		nameSound="truck";
	};
	
	class ELVCTI44BlitzRefuel:UralRefuel
	{
		vehicleclass="ELVCTI44";
		displayName="Lkw Opel Blitz Refuel";
		irScanRange = 50;
		
		crew = WH_Schutze1;
		model= \blitz\blitz;
		class TransportMagazines
		{
			class _xx_Kar
			{
				magazine="KarMag";
				count=108;
			};
			class _xx_MP40
			{
				magazine="MP40Mag";
				count=12;
			};
			class _xx_MG42
			{
				magazine="Mg42Mag";
				count=12;
			};
		};
		picture=\blitz\iblitz.paa;
		hiddenSelections[]={"hood2"};
		dammageHalf[]=
		{
			\blitz\blitz_glass1.paa,\blitz\blitz_glass1b.paa,
				\blitz\blitz_glass2.paa,\blitz\blitz_glass2b.paa
		};
		dammageFull[]=
		{
			\blitz\blitz_glass1.paa,\blitz\blitz_glass1c.paa,
				\blitz\blitz_glass2.paa,\blitz\blitz_glass2c.paa
		};
		
		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -315;
			min = 0;
			max = 22;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = 200;
			min = 0;
			max = 1;
		};	
		
		armorWheels=0.300000;
		
		driverAction="ManActTruck5tDriver";
		cargoAction[]={"ManActTruck5tCoDriver","ManActCargo"};
		cargoIsCoDriver[]={1,0};
		
		nameSound="truck";
	};
	
	class ELVCTI44BlitzRepair:UralRepair
	{
		vehicleclass="ELVCTI44";
		displayName="Lkw Opel Blitz Repair";
		irScanRange = 50;
		
		crew = WH_Schutze1;
		model= \blitz\blitz;
		
		class TransportMagazines
		{
			class _xx_Kar
			{
				magazine="KarMag";
				count=108;
			};
			class _xx_MP40
			{
				magazine="MP40Mag";
				count=12;
			};
			class _xx_MG42
			{
				magazine="Mg42Mag";
				count=12;
			};
		};
		
		picture=\blitz\iblitz.paa;
		
		hiddenSelections[]={"hood2"};
		dammageHalf[]=
		{
			\blitz\blitz_glass1.paa,\blitz\blitz_glass1b.paa,
				\blitz\blitz_glass2.paa,\blitz\blitz_glass2b.paa
		};
		dammageFull[]=
		{
			\blitz\blitz_glass1.paa,\blitz\blitz_glass1c.paa,
				\blitz\blitz_glass2.paa,\blitz\blitz_glass2c.paa
		};
		
		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -315;
			min = 0;
			max = 22;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = 200;
			min = 0;
			max = 1;
		};	
		
		armorWheels=0.300000;
		
		driverAction="ManActTruck5tDriver";
		cargoAction[]={"ManActTruck5tCoDriver","ManActCargo"};
		cargoIsCoDriver[]={1,0};
		
		nameSound="truck";
	};
	
	class ELVCTI44MTYC47 : MTYC47 {
		vehicleclass="ELVCTI44";
		
		class TransportWeapons {

			class _xxx_Thompson { Weapon="Thompson";Count="8";};
			class _xxx_Greaseg { Weapon="Greasegun";Count="8";};
		};
		class TransportMagazines {
			class _xxx_ThompsonMag { Magazine="ThompsonMag";Count="25";};
			class _xxx_GreasegMag { Magazine="GreasegunMag";Count="25";};
		};
		crew="SoldierWPilot";
		class UserActions
		{

			class paraeject
                  		{
                  			displayName="Eject Paratroopers";
                   			position="osa door2";
                   			radius=15;
				condition="(((count crew this)>2) && this animationPhase ""cancelpara"" <0.5)";
                   			statement="[this] exec ""Main\EjectParatroops2.sqs""";
                  		};
			class dropcargo
			{
				displayName = "Drop Supplies";
				position="osa door2";
				radius=15;
				condition = "this animationPhase ""cancelcargo"" <0.5 && speed this > 100 && this animationPhase ""c47cargochecker2"" <0.5 and this animationPhase ""c47cargochecker"" <0.5";
				statement = "[this]  exec ""Main\EjectCargo2.sqs""";
			};			
			class mtyOpen
			{
				displayName="Open Outer Door";
				position="osa door";
				radius=40;
				condition="this animationPhase ""mtydoor"" < 0.5 and player distance this < 10 && speed this <=1";
				statement="this animate [""mtydoor"", 1]; this setobjecttexture [16,""\mtyc47\instra.pac""]; this say ""C47outeropen""";
			};
			class mtyClose
			{
				displayName="Close Outer Door";
				position="osa door";
				radius=40;
				condition="this animationPhase ""mtydoor"" >= 0.5 and player distance this < 10";
				statement="this animate [""mtydoor"", 0]; this setobjecttexture [16,""""]; this say ""C47outerclose""";
			};
			class c47CabinLightON
			{
				displayName="Cabin Light ON";
				position="osa cabinlight";
				radius=30;
				condition=" (daytime <=6 ||daytime >=18)  && (player in this) && this animationPhase {c47cabinlight} == 0";
				statement="[this] exec {\mtyC47\cabinlight.sqs};this animate [{c47cabinlight},1]";
			};
			class c47CabinLightOFF
			{
				displayName="Cabin Light OFF";
				position="osa cabinlight";
				radius=30;
				condition=" (player in this)&& this animationPhase {c47cabinlight}==1";
				statement="this animate [{c47cabinlight},0]";
			};
			class positionstairs
			{
				displayName="Position Stairs";
				position="osa door1";
				radius=5;
				condition="this animationPhase ""mtydoor"" >= 0.5 and player distance this < 5 and speed this <= 1";
				statement="[this] exec ""\mtyC47\stairs.sqs""";
			};
			class wipersON
			{
				displayName="Windscreen wipers ON";
				position="axis rpmGAU";
				radius=2;
				condition=" (player in this) && speed this < 100 && this animationPhase {c47wipers} == 0";
				statement="[this] exec {\mtyC47\wipers.sqs};this animate [{c47wipers},1]";
			};
			class wipersOFF
			{
				displayName="Windscreen wipers OFF";
				position="axis rpmGAU";
				radius=2;
				condition=" (player in this)&& this animationPhase {c47wipers}==1";
				statement="this animate [{c47wipers},0]";
			};
			
		};
	};
	class ELVCTI44ju52: ju52 {

                vehicleClass="ELVCTI44";
		class UserActions
		{

			class paraeject
                  		{
                  			displayName="Eject Paratroopers";
                   			position="osa door2";
                   			radius=15;
				condition="(((count crew this)>2) && this animationPhase ""cancelpara"" <0.5)";
                   			statement="[this] exec ""Main\EjectParatroops2.sqs""";
                  		};
			class dropcargo
			{
				displayName = "Drop Supplies";
				position="osa door2";
				radius=15;
				condition = "this animationPhase ""cancelcargo"" <0.5 && speed this > 100 && this animationPhase ""c47cargochecker2"" <0.5 and this animationPhase ""c47cargochecker"" <0.5";
				statement = "[this]  exec ""Main\EjectCargo2.sqs""";
			};			
		};
	};
	//Soldiers
	class ELVCTI44WHRifleman1: WH_Schutze1 {
		vehicleclass="ELVCTI44";
	};
	class ELVCTI44WHAT1 :WH_ATSchutze7 {
		vehicleclass="ELVCTI44";
	};
	class ELVCTI44WHAT2 : WH_Panzerschreck1 {
		vehicleclass="ELVCTI44";
	};
	class ELVCTI44WHMG1 : WH_LMGunner {
		vehicleclass="ELVCTI44";
	};
	class ELVCTI44WHGrenadier : WH_SchutzeG1 {
		vehicleclass="ELVCTI44";
	};
	class ELVCTI44WHMG2 : WH_ASQDLDR2
	{
		vehicleclass="ELVCTI44";
		displayName="Stgw44 Schuetze";
		weapons[]={"Stgw44","Throw","Put"};
		magazines[]={"HandGrenade","HandGrenade","HandGrenade","Stgw44Mag","Stgw44Mag","Stgw44Mag","Stgw44Mag","Stgw44Mag","Stgw44Mag","Stgw44Mag"};
	};
	class ELVCTI44WHSniper :Wehrmacht_Sniper {
		vehicleclass="ELVCTI44";
	};
	class ELVCTI44WHMedic : WH_Medic{
		vehicleclass="ELVCTI44";
	};
	class ELVCTI44WHEngineer:WH_Eng2
	{
		vehicleclass="ELVCTI44";
	    weapons[]={"MP40","throw","put"};
		magazines[]={"Mine","Mine","MP40Mag","MP40Mag","MP40Mag","MP40Mag","MP40Mag","MP40Mag"};
	}
	class ELVCTI44WHSaboteur:fall_S4
	{
		vehicleclass="ELVCTI44";
		weapons[]={"Fg42","Throw","Put"};
		magazines[]={"Fg42Mag","Fg42Mag","Fg42Mag","Fg42Mag","Fg42Mag","Fg42Mag","TimeBomb","TimeBomb"};
		
	};
	class ELVCTI44WHDriver:pzwh_3
	{
		vehicleclass="ELVCTI44";
		displayName="WH Panzer Driver";
	    weapons[]={"MP40","throw","put"};
		magazines[]={"HandGrenade","HandGrenade","MP40Mag","MP40Mag","MP40Mag","MP40Mag","MP40Mag","MP40Mag"};
	};
	
	class ELVCTI44WHPilot:pzwh_2
	{
		vehicleclass="ELVCTI44";
		displayName="WH Pilot";
	    weapons[]={"MP40","throw","put"};
		magazines[]={"HandGrenade","HandGrenade","MP40Mag","MP40Mag","MP40Mag","MP40Mag","MP40Mag","MP40Mag"};
	};
	
	class ELVCTI4482Rifleman1 : 82_ABRIFLEMAN1 {
	
		vehicleclass="ELVCTI44";
	};
	class ELVCTI4482AT1 : 82_ABBLAUNCHER {
	
		vehicleclass="ELVCTI44";
	};
	
	class ELVCTI4482AT2:82_ABBLAUNCHER
	{
		vehicleclass="ELVCTI44";
		displayName="82nd AT";	
		weapons[]={"ELVCTI44Piat","Throw","Put"};
		magazines[]={"ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag"};
		threat[] = {.8,1,.1};
	};
	
	class ELVCTI4482MG1 : 82_ABMGUN {};
	class ELVCTI4482Grenadier : 82_ABGRENADIER1 {};
	class ELVCTI4482MG2 : 82_ABBAR {};
	class ELVCTI4482Sniper : 82_ABSNIPER {};
	
	
	class ELVCTI4482MEDIC:82_ABMEDIC {
		vehicleclass="ELVCTI44";
		weapons[]={"Thompson","Throw","Put"};
		magazines[]={"ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","HandGrenade","HandGrenade","HandGrenade","HandGrenade"};
	};
	
	
	class ELVCTI4482Engineer: 82_ABRADIO 
	{
		vehicleclass="ELVCTI44";
		
		displayName="82nd Engineer";
		weapons[]={"M1_carbine","throw","put"};
		magazines[]={"Mine","Mine","M1_carbineMag","M1_carbineMag","M1_carbineMag","M1_carbineMag","M1_carbineMag","M1_carbineMag"};
	};
	
	class ELVCTI4482Saboteur:82_ABRIFLEMAN8
	{
		vehicleclass="ELVCTI44";
		displayName="82nd Saboteur";
		weapons[]={"Greasegun","throw","put"};
		magazines[]={"GreasegunMag","GreasegunMag","GreasegunMag","pipebomb","pipebomb","pipebomb"};
		
	};
	class ELVCTI4482Driver:82_ABRIFLEMAN2
	{
		vehicleclass="ELVCTI44";
		displayName="82nd Driver";	
        	weapons[]={"Thompson","Throw","Put"};
		magazines[]={"HandGrenade","HandGrenade","HandGrenade","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag"};
	};
	
	class ELVCTI4482Pilot:82_ABRIFLEMAN3
	{
		vehicleclass="ELVCTI44";
		displayName="82nd Pilot";	
	    weapons[]={"Thompson","Throw","Put"};
		magazines[]={"HandGrenade","HandGrenade","HandGrenade","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag"};
	};
	class ELVCTI44Fjaeger:fall_S4
	{
		vehicleclass="ELVCTI44";
		weapons[]={"Fg42","Throw","Put"};
		magazines[]={"Fg42Mag","Fg42Mag","Fg42Mag","Fg42Mag","Fg42Mag","Fg42Mag","TimeBomb","TimeBomb"};
		
	};
	
	class ELVCTI44DriverWest:82_ABRIFLEMAN2
	{
		vehicleclass="ELVCTI44";
		displayName="82nd Driver";	
        weapons[]={"Thompson","Throw","Put"};
		magazines[]={"HandGrenade","HandGrenade","HandGrenade","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag"};
	};
	
	class ELVCTI44PilotWest:82_ABRIFLEMAN3
	{
		vehicleclass="ELVCTI44";
		displayName="82nd Pilot";	
	    weapons[]={"Thompson","Throw","Put"};
		magazines[]={"HandGrenade","HandGrenade","HandGrenade","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag"};
	};
	
	class ELVCTI44MinerWest:WH_Eng2
	{
		vehicleclass="ELVCTI44";
		side=TWest;
		displayName="82nd Engineer";
		model="\americanpara\uspara\us_airborne_1";
        wounds[]={"\americanpara\tunic.pac","\americanpara\tunic_a.pac","\americanpara\arms.pac","\americanpara\arms_a.pac","\americanpara\back.pac","\americanpara\back_a.pac","\americanpara\legs.pac","\americanpara\legs_a.pac","xicht_a.paa","xicht_a_zranen.pac"};
		weapons[]={"M1_carbine","throw","put"};
		magazines[]={"Mine","Mine","M1_carbineMag","M1_carbineMag","M1_carbineMag","M1_carbineMag","M1_carbineMag","M1_carbineMag"};
	};
	
	class ELVCTI44MinerWH:WH_Eng2
	{
		vehicleclass="ELVCTI44";
	    weapons[]={"MP40","throw","put"};
		magazines[]={"Mine","Mine","MP40Mag","MP40Mag","MP40Mag","MP40Mag","MP40Mag","MP40Mag"};
	}
	
	class ELVCTI44StgwWH: WH_ASQDLDR2
	{
		vehicleclass="ELVCTI44";
		displayName="Stgw44 Schuetze";
		weapons[]={"Stgw44","Throw","Put"};
		magazines[]={"HandGrenade","HandGrenade","HandGrenade","Stgw44Mag","Stgw44Mag","Stgw44Mag","Stgw44Mag","Stgw44Mag","Stgw44Mag","Stgw44Mag"};
	}
	
	class ELVCTI44DriverWH:pzwh_3
	{
		vehicleclass="ELVCTI44";
		displayName="WH Panzer Driver";
	    weapons[]={"MP40","throw","put"};
		magazines[]={"HandGrenade","HandGrenade","MP40Mag","MP40Mag","MP40Mag","MP40Mag","MP40Mag","MP40Mag"};
	};
	
	class ELVCTI44PilotWH:pzwh_2
	{
		vehicleclass="ELVCTI44";
		displayName="WH Pilot";
	    weapons[]={"MP40","throw","put"};
		magazines[]={"HandGrenade","HandGrenade","MP40Mag","MP40Mag","MP40Mag","MP40Mag","MP40Mag","MP40Mag"};
	};
	
	class ELVCTI44SaboteurWest:82_ABRIFLEMAN8
	{
		vehicleclass="ELVCTI44";
		displayName="82nd Saboteur";
		
	};
	
	class ELVCTI44PzsWest:82_ABBLAUNCHER
	{
		vehicleclass="ELVCTI44";
		displayName="82nd AT";	
		weapons[]={"ELVCTI44Piat","Throw","Put"};
		magazines[]={"ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag"};
		threat[] = {.8,1,.1};
	};
	
	class ELVCTI44ResOfficer: OfficerG
	{
		vehicleclass="ELVCTI44";
		displayName="Officer Resistance";
		model="\O\char\char04";
		weapons[]={"MP40","Binocular","Throw","Put"};
		magazines[]={"MP40Mag","MP40Mag","MP40Mag","MP40Mag","HandGrenade","HandGrenade","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
	};
	class ELVCTI44ResOfficer2: ELVCTI44ResOfficer {
               weapons[]={"Thompson","Binocular","Throw","Put"};
	       magazines[] = {"THompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","HandGrenade","HandGrenade","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
        

	};
	class ELVCTI4482_ABMEDIC:82_ABMEDIC {
		vehicleclass="ELVCTI44";
		weapons[]={"Thompson","Throw","Put"};
		magazines[]={"ThompsonMag","ThompsonMag","ThompsonMag","ThompsonMag","HandGrenade","HandGrenade","HandGrenade","HandGrenade"};
	};
	
	class ELVCTI44ResSoldier: SoldierGG
	{
		vehicleclass="ELVCTI44";
		displayName="Soldier Resistance";
		model="\O\char\char02";
		weapons[]={"Kar","Throw","Put"};
		magazines[]={"KarMag","KarMag","KarMag","KarMag","HandGrenade","HandGrenade","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
	};
        class ELVCTI44ResSoldier2: ELVCTI44ResSoldier {
   		weapons[] = {"garand","Throw","Put"};
		magazines[]={"garandMag","garandMag","garandMag","garandMag","garandMag","garandMag","HandGrenade","HandGrenade","HandGrenade","HandGrenade"};

	};
	class ELVCTI44ResSoldierLAW: SoldierGG
	{
		vehicleclass="ELVCTI44";
		displayName="LAW Soldier Resistance";
		model="\O\char\char06";
		weapons[]={"Panzerfaust60Launcher","Kar","throw","put"};
		magazines[]={"KarMag","KarMag","KarMag","KarMag","Panzerfaust60LauncherMag","Panzerfaust60LauncherMag","Panzerfaust60LauncherMag"};
	};
   	class ELVCTI44ResSoldierLAW2: SoldierGG
	{
		weapons[]={"M9","garand","throw","put"};
		magazines[] = {"garandMag","garandMag","garandMag","garandMag","M9Rock","m9rock","m9rock"};
	};
	class ELVCTI44ResSoldierAT: SoldierGG
	{
		vehicleclass="ELVCTI44";
		displayName="AT Soldier Resistance";
		model="\O\char\char01";
		weapons[]={"Kar","Panzerschreck","throw","put"};
		magazines[]={"KarMag","KarMag","KarMag","KarMag","RPzBGr","RPzBGr","RPzBGr"};
		
	};
	class ELVCTI44ResSoldierAT2: ELVCTI44ResSoldierAT {

		weapons[] = {"ELVCTI44Piat","throw","put"};
		magazines[] = {"ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag"};
	};
	
	class ELVCTI44ResSoldierMG: SoldierGG
	{
		vehicleclass="ELVCTI44";
		displayName="MG Soldier Resistance";
		model="\O\char\char06";
		weapons[]={"Mg42","Throw","Put"};
		magazines[]={"Mg42Mag","Mg42Mag","Mg42Mag","Mg42Mag","Mg42Mag"};
	};
	class ELVCTI44ResSoldierMG2: ELVCTI44ResSoldierMG {
                weapons[] = {"M1919A4","Throw","Put"};
		magazines[] = {"M1919A4Mag","M1919A4Mag","M1919A4Mag","M1919A4Mag","M1919A4Mag"};
	};
	class ELVCTI44ResMedic: SoldierGMedic
	{
		vehicleclass="ELVCTI44";
		displayName="Medic Resistance";
		model="\O\char\char06";
		weapons[]={};
		magazines[]={};
	};
	class ELVCTI44ResMedic2:ELVCTI44ResMedic {} ;

	class ELVCTI44ResSniper: SoldierGG
	{
		vehicleclass="ELVCTI44";
		displayName="Sniper Resistance";
		model="\O\char\char02";
		weapons[]={"G43ZF4","Throw","Put"};
		magazines[]={"G43Mag","G43Mag","G43Mag","G43Mag","G43Mag","G43Mag","G43Mag","G43Mag","G43Mag","G43Mag"};
	};
	class ELVCTI44ResSniper2: ELVCTI44ResSniper {
		 weapons[]={"Springfield","Throw","Put"};
		 magazines[]={"SpringfieldMag","SpringfieldMag","SpringfieldMag","SpringfieldMag","SpringfieldMag","SpringfieldMag","SpringfieldMag","SpringfieldMag","SpringfieldMag","SpringfieldMag"};

	};
	class ELVCTI44ResCrew: SoldierGG
	{
		vehicleclass="ELVCTI44";
		displayName="Crew Resistance";
		model="\O\char\char01";
		weapons[]={"MP40","Binocular","Throw","Put"};
		magazines[]={"MP40Mag","MP40Mag","MP40Mag","MP40Mag","HandGrenade","HandGrenade","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
	};
	class ELVCTI44ResCrew2: SoldierGG
	{
		weapons[] = {"Greasegun","Binocular","Throw","Put"};
		magazines[] = {"GreasegunMag","GreasegunMag","GreasegunMag","GreasegunMag","GreasegunMag","HandGrenade","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
	};
	class ELVCTI44ABNCO1:82_ABNCO1
	{              
		vehicleclass="ELVCTI44";
		weaponSlots="1 + 16 + 2 + 2*4096 + 10*256 + 4*32";	
	};
	class ELVCTI44ABPCMD:82_ABPCMD 
	{
		vehicleclass="ELVCTI44";
		weaponSlots="1 + 16 + 2 + 2*4096 + 10*256 + 4*32";	
	};
	class ELVCTI44SQDLDR1:WH_SQDLDR1 {
		vehicleclass="ELVCTI44";
		weaponSlots="1 + 16 + 2 + 2*4096 + 10*256 + 4*32";	
	
	};
	class ELVCTI44PLT_CMD:WH_PLT_CMD {
		vehicleclass="ELVCTI44";
		weaponSlots="1 + 16 + 2 + 2*4096 + 10*256 + 4*32";	
	};
	class ELVCTI44BritBLAUNCHER: britinflen4 {
		vehcileclass="ELVCTI44";
		displayName="British Bazooka Launcher";
		weapons[]={"M9","Enfieldn4","Throw","Put","RDthrow"};
		magazines[]={"Enfieldn4mag","Enfieldn4mag","M9rock","M9rock","M9rock","M9rock"};
		picture="islaw";

	};
	class ELVCTI44BritPzsWest:ELVCTI44BritBLAUNCHER
	{
		vehicleclass="ELVCTI44";
		displayName="British AT";	
		weapons[]={"ELVCTI44Piat","Throw","Put"};
		magazines[]={"ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag","ELVCTI44PiatMag"};
		threat[] = {.8,1,.1};
		picture="isat";
	};
	class ELVCTI44BritMGUN :britinfBren 
	{
		vehicleclass="ELVCTI44";
		displayName="British Machine Gunner";
		weapons[] = {"M1919A4","Throw","Put"};
		magazines[] = {"M1919A4Mag","M1919A4Mag"};

	};
	class ELVCTI44BritGrenadier :ELVCTI44BritPzsWest
	{
		vehicleclass="ELVCTI44";
		displayName="British Grenadier";
		weapons[]={"ELVCTI44Piat_b","Throw","Put"};
		magazines[]={"ELVCTI44Piat_bMag","ELVCTI44Piat_bMag","ELVCTI44Piat_bMag","ELVCTI44Piat_bMag","ELVCTI44Piat_bMag","ELVCTI44Piat_bMag"};
		threat[] = {1,.5,.1};
	};
	class ELVCTI44BritMedic : britinfmedic  {
		vehicleclass="ELVCTI44"
		weapons[]={"sten2","Throw","Put","RDthrow"};
		magazines[]={"stenmag","stenmag","stenmag","stenmag","stenmag","stenmag","stenmag","Mills","Mills","Mills"};
	};
	class ELVCTI44BritSaboteur:britinflen4
	{
		vehicleclass="ELVCTI44";
		displayName="British Saboteur";
		
	};
	class ELVCTI44BritDriver:brittk2
	{
		vehicleclass="ELVCTI44";
		displayName="British Driver";	
        };
	
	class ELVCTI44BritPilot:brittk1
	{
		vehicleclass="ELVCTI44";
		displayName="Britsh Pilot";	
	};
	
    class ELVCTI44AlliedAmmoBox:Inv_Ammo1
	{
		vehicleclass="ELVCTI44";
		scope=public;		
		displayName="82nd Supply Crate";
		class TransportMagazines
		{
			class _xx_Gar
			{
				magazine="GarandMag";
				count=100;
			};
			class _xx_Car
			{
				magazine="M1_carbineMag";
				count=100;
			};
			class _xx_Spring
			{
				magazine="SpringfieldMag";
				count=100;
			};
			class _xx_Tom
			{
				magazine="ThompsonMag";
				count=50;
			};
			class _xx_Grease
			{
				magazine="GreasegunMag";
				count=30;
			};
			class _xx_M1911a1 
			{
				magazine="otwM1911a1Mag";
				count=30;
			};
		};
	};
	
	class ELVCTI44AlliedAmmoBoxHeavy:Inv_Ammo1
	{
		vehicleclass="ELVCTI44";
		scope=public;		
		displayName="82nd Heavy Supply Crate";
		class TransportMagazines
		{
			class _xx_BAR
			{
				magazine="BARmag";
				count=20;
			};
			class _xx_M1919A4
			{
				magazine="M1919A4Mag";
				count=10;
			};
			class _xx_M9
			{
				magazine="m9rock";
				count=6;
			};
			class _xx_Grenade
			{
				magazine="HandGrenade";
				count=30;
			};
			class _xx_GarGren
			{
				magazine="GarandGrenadeLauncherMag";
				count=30;
			};
			class _xx_Shreck
			{
				magazine="ELVCTI44PiatMag";
				count=6;
			};
			class _xx_Satchels
			{
			   magazine="TimeBomb";
			   count=6;
            };
            class _xx_Mines
            {
               magazine="Mine";
               count=8;
            };
		};
	};
 class ELVCTI44AlliedBritAmmoBox:ELVCTI44AlliedAmmoBox
	{

		displayName="British Supply Crate";
		class TransportMagazines
		{
			class _xx_Gar
			{
				magazine="Enfieldn4Mag";
				count=100;
			};
			class _xx_Car
			{
				magazine="Enfieldn2Mag";
				count=100;
			};
			class _xx_Spring
			{
				magazine="Enfieldn4Mag";
				count=100;
			};
			class _xx_Tom
			{
				magazine="StenMag";
				count=50;
			};
			class _xx_GarGren
			{
				magazine="ELVCTI44Piat_bMag";
				count=30;
			};
		};
	};
	
	class ELVCTI44AlliedBritAmmoBoxHeavy:Inv_Ammo1
	{
		displayName="British Heavy Supply Crate";
		class TransportMagazines
		{
			class _xx_BAR
			{
				magazine="BREN2mag";
				count=20;
			};
			class _xx_M1919A4
			{
				magazine="M1919A4Mag";
				count=10;
			};
			class _xx_M9
			{
				magazine="m9rock";
				count=6;
			};
			class _xx_Grenade
			{
				magazine="HandGrenade";
				count=30;
			};
			
			class _xx_Shreck
			{
				magazine="ELVCTI44PiatMag";
				count=6;
			};
			class _xx_Satchels
			{
			   magazine="TimeBomb";
			   count=6;
            };
            class _xx_Mines
            {
               magazine="Mine";
               count=8;
            };
		};
	};
	
	class ELVCTI44AxisAmmoBox:Inv_Ammo2
	{
		vehicleclass="ELVCTI44";
		scope=public;
		displayName="Wehrmacht Supply Crate";
		class TransportMagazines
		{
			class _xx_Kar
			{
				magazine="KarMag";
				count=100;
			};
			class _xx_FG42
			{
				magazine="Fg42Mag";
				count=100;
			};
			class _xx_G43
			{
				magazine="G43Mag";
				count=100;
			};
			class _xx_MP40
			{
				magazine="MP40Mag";
				count=50;
			};
			class _xx_MP44
			{
				magazine="Stgw44Mag";
				count=30;
			};
			class _xx_walter
			{
				magazine="WalterMag";
				count=30;
			};
		};
	};
	class ELVCTI44AxisAmmoBoxHeavy:Inv_Ammo2
	{
		vehicleclass="ELVCTI44";
		scope=public;
		displayName="Wehrmacht Heavy Supply Crate";
		class TransportMagazines
		{
			
			class _xx_MG42
			{
				magazine="Mg42Mag";
				count=10;
			};
			class _xx_Shreck
			{
				magazine="RPzBGr";
				count=6;
			};
			class _xx_Grenade
			{
				magazine="HandGrenade";
				count=30;
			};
			class _xx_KarGren
			{
				magazine="KarGrenadeLauncherMag";
				count=30;
			};
			class _xx_Satchels
			{
			   magazine="TimeBomb";
			   count=6;
            };
            class _xx_Mines
            {
               magazine="Mine";
               count=8;
            };
            class _xx_Panzerfaust
            {
               magazine="Panzerfaust60LauncherMag";
               count=6;
            }
		};
	};	
	class ELVCTI44AlliedAmmoBox2:ELVCTI44AlliedAmmoBox {};
	class ELVCTI44AxisAmmoBox2:ELVCTI44AxisAmmoBox {};
	class ELVCTI44EmptyCrate:ReammoBox 
	{
		scope = public;
		displayName = "ELVCTI44 Weapons Crate";
		irTraget = false;
		mapSize = 0.3;
		model = "bedna_ammo";
		class TrasnportWeapons {};
		class TransportMagazines {};
	};
	class ELVCTI44AlliedWeaponsCrate:ELVCTI44EmptyCrate
	{
		displayName= "82nd Weapons Crate";
		class TransportWeapons
		{
			class _xx_GarandA {
				weapon="garand";
				count=2;
			};
			class _xx_GarandGrenadeLauncher {
				weapon="GarandGrenadeLauncher";
				count=2;
			};
			class _xx_Springfield {
				weapon="Springfield";
				count=2;
			};
			class _xx_Greasegun {
				weapon="Greasegun";
				count=2;
			};
			
			class _xx_Thompson {
				weapon="Thompson";
				count=2;
			};
			class _xx_M1Carbin {
				weapon="M1_carbine";
				count=2;
			};
			class _xx_m1911a1A {
				weapon="otwM1911A1";
				count=5;
			};
		};
	};
	class ELVCTI44AlliedHeavyWeaponsCrate:ELVCTI44EmptyCrate
	{
		displayName= "82nd Heavy Weapons Crate";
		class TransportWeapons
		{
			class _xx_M1919A4 {
				weapon="M1919A4";
				count=2;
			};
			class _xx_BAR {
				weapon="BAR";
				count=2;
			};
			class _xx_PanzerschreckW {
				weapon="ELVCTI44Piat";
				count=2;
			};
			class _xx_M9 {
				weapon="M9";
				count=2;
			};
			
		};
	};
	class ELVCTI44AlliedBritWeaponsCrate:ELVCTI44AlliedWeaponsCrate
	{
		displayName= "British Weapons Crate";
		class TransportWeapons
		{
			class _xx_GarandA {
				weapon="Enfieldn4";
				count=2;
			};
			class _xx_GarandGrenadeLauncher {
				weapon="ELVCTI44Piat_b";
				count=2;
			};
			class _xx_Springfield {
				weapon="Enfieldn4t";
				count=2;
			};
			class _xx_Greasegun {
				weapon="Sten3";
				count=2;
			};
			class _xx_Greasegun5 {
				weapon="Sten5";
				count=2;
			};
			
			class _xx_m1911a1A {
				weapon="Enfieldn2";
				count=5;
			};
		};
	};
	class ELVCTI44AlliedBritHeavyWeaponsCrate:ELVCTI44AlliedHeavyWeaponsCrate
	{
		displayName= "British Heavy Weapons Crate";
		class TransportWeapons
		{
			class _xx_M1919A4 {
				weapon="M1919A4";
				count=2;
			};
			class _xx_BAR {
				weapon="BREN2";
				count=2;
			};
			class _xx_PanzerschreckW {
				weapon="ELVCTI44Piat";
				count=2;
			};
			class _xx_M9 {
				weapon="M9";
				count=2;
			};
			
		};
	};

	class ELVCTI44AxisWeaponsCrate:ELVCTI44EmptyCrate
	{
		displayName= "Wehrmacht Weapons Crate";
		class TransportWeapons
		{
			class _xx_Kar {
				weapon="Kar";
				count=2;
			};
			class _xx_KarGrenadeLauncher {
				weapon="KarGrenadeLauncher";
				count=2;
			};
			class _xx_Fg42 {
				weapon="Fg42";
				count=2;
			};
			class _xx_MP40 {
				weapon="MP40";
				count=2;
			};
			
			class _xx_Stgw44 {
				weapon="Stgw44";
				count=2;
			};
			class _xx_G43zf4 {
				weapon="G43zf4";
				count=2;
			};
			class _xx_walter {
				weapon="Walter";
				count=5;
			}
		};
	};
	class ELVCTI44AxisHeavyWeaponsCrate:ELVCTI44EmptyCrate
	{
		displayName= "Wehrmacht  Heavy Weapons Crate";
		class TransportWeapons
		{
			class _xx_MG42 {
				weapon="Mg42";
				count=2;
			};
			class _xx_Panzerfaust60Launcher {
				weapon="Panzerfaust60Launcher";
				count=2;
			};
			class _xx_Panzerschreck {
				weapon="Panzerschreck";
				count=2;
			};
			
		};
	};
	class ELVCTI44AlliedEquipmentCrate:ELVCTI44EmptyCrate
	{
		displayName= "Allied Equipment Crate";
		class TransportWeapons
		{
			class _xx_Binocular {
				weapon="Binocular";
				count=10;
			};
			class _xx_Flare {
				weapon="Flare";
				count=10;
				
			};
			class _xx_FlareGreen {
				weapon="FlareGreen";
				count=10;
			};
			class _xx_FlareRed {
				weapon="FlareRed";
				count=10;
			};
			class _xx_FlareYellow {
				weapon="FlareYellow";
				count=10;
			};
		};
		class TransportMagazines {
			class _xx_HawkinsMine {
				magazine="HawkinsMine";
				count=10;
			};
			class _xx_Mine {
				magazine="Mine";
				count=10;
			};
			class _xx_Flare {
				magazine="Flare";
				count=10;
				
			};
			class _xx_FlareGreen {
				magazine="FlareGreen";
				count=10;
			};
			class _xx_FlareRed {
				magazine="FlareRed";
				count=10;
			};
			class _xx_FlareYellow {
				magazine="FlareYellow";
				count=10;
			};
		
		};
	};
class ELVCTI44AlliedBritEquipmentCrate:ELVCTI44AlliedEquipmentCrate
	{
		class TransportMagazines {
			class _xx_HawkinsMine {
				magazine="RDTNT";
				count=10;
			};
			class _xx_Mine {
				magazine="Mine";
				count=10;
			};
			class _xx_Flare {
				magazine="Flare";
				count=10;
				
			};
			class _xx_FlareGreen {
				magazine="FlareGreen";
				count=10;
			};
			class _xx_FlareRed {
				magazine="FlareRed";
				count=10;
			};
			class _xx_FlareYellow {
				magazine="FlareYellow";
				count=10;
			};
		
		};
	};
	
	class ELVCTI44AxisEquipmentCrate:ELVCTI44EmptyCrate
	{
		displayName= "Axis Equipment Crate";
		class TransportWeapons
		{
			class _xx_Binocular {
				weapon="Binocular";
				count=10;
			};
			class _xx_Flare {
				weapon="Flare";
				count=10;
				
			};
			class _xx_FlareGreen {
				weapon="FlareGreen";
				count=10;
			};
			class _xx_FlareRed {
				weapon="FlareRed";
				count=10;
			};
			class _xx_FlareYellow {
				weapon="FlareYellow";
				count=10;
			};
			
			
		};
		class TransportMagazines {
			class _xx_Mine {
				magazine="Mine";
				count=10;
			};
			class _xx_Flare {
				magazine="Flare";
				count=10;
				
			};
			class _xx_FlareGreen {
				magazine="FlareGreen";
				count=10;
			};
			class _xx_FlareRed {
				magazine="FlareRed";
				count=10;
			};
			class _xx_FlareYellow {
				magazine="FlareYellow";
				count=10;
			};
		
		};
	};
};



